Try a standardised versioning scheme using KDE Apps version
AcceptedPublic

Authored by jriddell on May 8 2019, 9:33 PM.

Details

Reviewers
ngraham
aacid
Group Reviewers
KDE Games
Summary

Try a standardised versioning scheme using KDE Apps version

Test Plan

run and check

Diff Detail

Repository
R385 Bovo
Branch
version
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 11682
Build 11700: arc lint + arc unit
jriddell created this revision.May 8 2019, 9:33 PM
Restricted Application added a reviewer: KDE Games. · View Herald TranscriptMay 8 2019, 9:33 PM
Restricted Application added a subscriber: kde-games-devel. · View Herald Transcript
jriddell requested review of this revision.May 8 2019, 9:33 PM
ngraham accepted this revision.May 8 2019, 9:41 PM

This should really be up to the maintainer, if there is one. If not, I think we should default to using the bundle version. Bovo's maintainer is listed as Pelladi Gabor <pelladigabor@gmail.com>, but I don't see a Phab account for Pelladi or any recent activity so I think it's safe to say that it's unmaintained. In such a circumstance, I think it's appropriate to use the bundle's own version to simplify the release process.

This revision is now accepted and ready to land.May 8 2019, 9:41 PM
aacid added a subscriber: aacid.May 8 2019, 10:06 PM

-1 this is a bad way to this stuff.

Why are you reinventing the wheel when we already have this solved?

aacid requested changes to this revision.May 8 2019, 10:06 PM
This revision now requires changes to proceed.May 8 2019, 10:06 PM
jriddell updated this revision to Diff 57788.May 8 2019, 10:37 PM
  • follow version scheme used elsewhere in KDE Applications

Note this is just an example to try to get the right style. It also needs checking with maintainers or relevant teams that it's wanted.

aacid added a comment.May 8 2019, 11:10 PM

You don't need version.h anymore

CMakeLists.txt
5

07

jriddell updated this revision to Diff 57792.May 9 2019, 6:19 AM
  • obsolete

This should really be up to the maintainer, if there is one. If not, I think we should default to using the bundle version. Bovo's maintainer is listed as Pelladi Gabor <pelladigabor@gmail.com>, but I don't see a Phab account for Pelladi or any recent activity so I think it's safe to say that it's unmaintained. In such a circumstance, I think it's appropriate to use the bundle's own version to simplify the release process.

Buy this does not change the *release* process.

But this does not change the *release* process.

This patch does in that this would then get increased by the increase_repos_version.sh script and added to bugzilla by the add-bugzilla-versions/add-versions.py and when someone gets round to it by a script that runs appstream-metainfo-release-update

But this does not change the *release* process.

This patch does in that this would then get increased by the increase_repos_version.sh script and added to bugzilla by the add-bugzilla-versions/add-versions.py and when someone gets round to it by a script that runs appstream-metainfo-release-update

It does not need to use the unified version.

aacid accepted this revision.May 24 2019, 9:30 PM

IMNSHO the golden rule for this kind of patch is:

  • is application part of KDE Applications? ☑
  • has application has "relatively significant" code changes since the last time the version was updated? ☑ (gui/version.h was updated in 2015, there's been fixes since then)

So let's go with this.

This revision is now accepted and ready to land.May 24 2019, 9:30 PM
pino added a subscriber: pino.May 25 2019, 4:07 AM

You don't need a config-bovo.h file, instead use ECMSetupVersion to generate the version.h file.